Summary:	GTK+ chess board interface for ICS and chess engines
Summary(pl.UTF-8):	Interfejs GTK+ do szachowych programów i serwerów
Name:		eboard
Version:	1.1.1
Release:	8
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/eboard/%{name}-%{version}.tar.bz2
# Source0-md5:	03dcdaa2bc85218b1b18c4bee276fea7
Source1:	%{name}.desktop
Patch0:		%{name}-const.patch
Patch1:		%{name}-libpng15.patch
URL:		http://www.bergo.eng.br/eboard/
BuildRequires:	gtk+2-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
Suggests:	Sjeng-Free
Suggests:	crafty
Suggests:	gnuchess
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eboard is a chess interface for Unix-like systems (GNU/Linux, FreeBSD,
Solaris, etc.) based on the GTK+ GUI toolkit. It provides a chess
board interface to ICS (Internet Chess Servers) like FICS and to chess
engines like GNU Chess, Sjeng and Crafty.

%description -l pl.UTF-8
eboard jest interfejsem do programów szachowych dla systemów
uniksowych opartym na bibliotece GTK+. Umożliwia współpracę zarówno z
internetowymi serwerami szachowymi (ICS) jak również z programami
szachowymi jak GNUchess, Sjeng czy Crafty.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# This way is needed, because package contains non-standard configure file
%build
./configure \
	--prefix="%{_prefix}" \
	--compiler="%{__cxx}" \
	--extra-libs="dl" \
	--man-prefix="%{_mandir}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install icon-eboard.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO Documentation/*.txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man[16]/*
%{_pixmapsdir}/%{name}.xpm
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eboard.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d4c85be
- release 8 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> 9c98ad0
- new

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> c3a9e9a
- dropped todo (works for me)
- pass dl as extralibs
- release 7 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 66b72b9
- release 6

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ce6b8b
- release 5

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> ccdef41
- BR: gtk+2-devel, perl-base, pkgconfig
- dropped BR: gtk+-devel, imlib-devel

* Sat Mar 27 2010 Paweł Sikora <pluto@pld-linux.org> 17cc977
- patch, patch, patch, release 4.

* Sat Mar 27 2010 Paweł Sikora <pluto@pld-linux.org> a039827
- fix build, add missed BR, release 3.

* Sat Mar 27 2010 Paweł Sikora <pluto@pld-linux.org> aedd7de
- fix const correctness.

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c588e7
- release 2

* Mon Mar 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 2848d76
- gpm-friendly Source0 URL

* Sun Mar 30 2008 lisu <lisu@pld-linux.org> 68757ca
- 1.1.1

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 2430a09
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Nov 18 2007 Paweł Gołaszewski <blues@pld-linux.org> 7ccbd83
- one more suggests

* Sat Nov 17 2007 Paweł Gołaszewski <blues@pld-linux.org> 03c0266
- gnuchess isn't required but suggested (the same with crafty), TODO added

* Sun Jun 17 2007 shadzik <shadzik@pld-linux.org> 6cf542f
- gettext-devel BR also unneeded

* Sun Jun 17 2007 lisu <lisu@pld-linux.org> bccc9df
- remove useless autotools deps

* Sun Jun 17 2007 lisu <lisu@pld-linux.org> 728aa6e
- new file

* Sun Jun 17 2007 lisu <lisu@pld-linux.org> ca0c557
- 1.0.4
- desktop file added
- new URL
- doc section added

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2d65521
- tabs in preamble

